#include <bits/stdc++.h>
using namespace std;
int main()
{
	long long int i,n,l,niz[1001],br=0,c=-1;
	
	cin>>n;
	cin>>l;
	for(i=0;i<n;i++)
	{
		cin>>niz[i];
		if(niz[i]>=l)
		{
			br++;
		}
	}
	if(br<n)
	{
		cout<<br;
	}
	else
	{
		cout<<c;
	}

}